require "scripts/style";

function OnComplete()
	--gDialogTable.body = "mg1_complete";
	--DoModal("scripts/okbox.lua");
	CloseWindow();
	SendGameMessage("_:Exit Minigame:Finished");
end

SetState( kPause, true );

MakeDialog
{
	Minigame01
	{
		x=0,
		y=0,
		w=1024,
		h=768,
		back="minigames/paper_mg/paper",
		text="mg1_text",
		name="mg1",

		Bitmap
		{
			image = "minigames/paper_mg/back",
			x=kCenter,
			y=kCenter,
		},
		
		SetStyle(ButtonStyle),
		Button
		{
			graphics = { "minigames/paper_mg/buttons/close/close_in","minigames/paper_mg/buttons/close/close_ac","minigames/paper_mg/buttons/close/close_ac" },
			label = "MG_Close",
			font = {standardFont,40,WhiteColor},
			close = true,
			cancel= true,
			x=kCenter-110,
			y=kMax-60,
			command=function()
				SendGameMessage("_:Exit Minigame:_")
			end;
		},
		Button
		{
			graphics = { "minigames/paper_mg/buttons/close/close_in","minigames/paper_mg/buttons/close/close_ac","minigames/paper_mg/buttons/close/close_ac" },
			label = "MG_Skip",
			font = {standardFont,40,WhiteColor},
			x=kCenter+110,
			y=kMax-60,
			command=function() OnComplete(); end;
		},

	}
}
